Page MenuHomePhabricator

Remove deprecated features from book creator UI
Closed, DeclinedPublic

Description

Background and original report

If user research confirms that we do not need to support certain OCG-supported collections features, such as "plain-text" rendering of books, then these options will need to be removed from the UI.

On the cutting block:

  • Paper size selector
  • table of contents creation
  • adding custom chapters
  • plain text rendering
  • selecting number of columns

If we move away from book creation[1], also on the cutting block:

  • attribution of images used in the article (the link would be embedded)
  • enumeration of all editors that contributed to the individual wiki pages (link to history would be embedded)

[1]we need to figure this out with pediapress, but have been unable to get a hold of them as of Feb 7, 2017

Related Objects

StatusSubtypeAssignedTask
ResolvedJKatzWMF
ResolvedTheDJ
DuplicateNone
OpenJKatzWMF
DeclinedNone
OpenNone
Resolvedpmiazga
InvalidNone
OpenNone
Resolvedovasileva
InvalidNone
Resolvedphuedx
InvalidNone
Resolved Nirzar
Resolved Nirzar
OpenNone
Declinedmobrovac
DeclinedJdlrobson
DeclinedNone
Resolved Nirzar
Resolved Nirzar
OpenNone
Resolved Nirzar
Resolvedovasileva
ResolvedABorbaWMF
Resolvedovasileva
DeclinedNone
ResolvedABorbaWMF
ResolvedJdlrobson
Resolvedovasileva
OpenNone

Event Timeline

JKatzWMF created this task.Nov 17 2016, 1:07 AM
ovasileva triaged this task as Medium priority.Nov 23 2016, 5:20 PM
ovasileva moved this task from Incoming to Product Owner Backlog on the Readers-Web-Backlog board.
JKatzWMF updated the task description. (Show Details)Feb 7 2017, 6:42 PM

As already announced in Tech News, OfflineContentGenerator (OCG) will not be used anymore after October 1st, 2017 on Wikimedia sites. OCG will be replaced by Electron. You can read more on mediawiki.org.

TheDJ closed this task as Declined.Jan 16 2020, 10:40 AM
TheDJ added a subscriber: TheDJ.

The deprecated features were not removed. I have no idea if those options still work for the book version (i suspect so), but the as PDF rendering is no longer available for books (which was the impetus for this ticket) closing the ticket.